Subject: Re: [RFD] Libification proposal: separate internal and external interfaces

From: "brian m. carlson" <[email-masked]>
Date: Tue, 9 Apr 2024 00:35:09 +0000

On 2024-04-08 at 21:29:27, Junio C Hamano wrote:
> I thought one of the yardstick to gauge the success of this
> "libification" effort, if not the purpose of this effort, is to
> allow Git to be its first client.
> 
> I am not sure how it would supposed to work.  Unless you are giving
> parallel implementations of "main Git binaries", one with the native
> code and the other replaced the native code with thin wrappers
> around the library calls, that is.

I think the plan as proposed in the original file was to have an
internal and external library and to have the binaries use the internal
library.  However, perhaps I misunderstood the proposal, in which case
clarification on the part of the proposers would be helpful.
-- 
brian m. carlson (they/them or he/him)
Toronto, Ontario, CA